<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::PostscriptDocument Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1PostscriptDocument.html">PostscriptDocument</a></div>
<h1>LASi::PostscriptDocument Class Reference</h1><!-- doxytag: class="LASi::PostscriptDocument" -->Composes Postscript document as three separate and independant streams for header, body and footer.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1PostscriptDocument-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#013b8209020138f6c9ef2e909a77c386">PostscriptDocument</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#2bd1a6fe71625e173dd4c0f2ff7f5110">~PostscriptDocument</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#fb3c2cf25c2522e6bc62ef06499c803d">setFont</a> (const char *const family=&quot;sans&quot;, LASi::FontStyle=LASi::NORMAL_STYLE, <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>=LASi::NORMAL_WEIGHT, <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a>=LASi::NORMAL_VARIANT, <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a>=LASi::NORMAL_STRETCH)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the font that all subsequent text written to bodyStream() or footerStream() will be rendered with.  <a href="#fb3c2cf25c2522e6bc62ef06499c803d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#2de93d93c4979c187db13fd64de85844">setFontSize</a> (const double size)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the font size, in points, that all subsequent text written to bodyStream() or footerStream() will be rendered with.  <a href="#2de93d93c4979c187db13fd64de85844"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostringstream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#999bf5a5d71339e3acdc1889e9bc68e3">osHeader</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns stream for Postscript header.  <a href="#999bf5a5d71339e3acdc1889e9bc68e3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#fe7e58d323555a8be0b1cb8ed94e373d">osBody</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns stream for Postscript body.  <a href="#fe7e58d323555a8be0b1cb8ed94e373d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#9331d7b137d0fd6f1107e88b18851970">osFooter</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns stream for Postscript footer.  <a href="#9331d7b137d0fd6f1107e88b18851970"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#e7aa9fba41b530c92dbbafd5926a13ff">write</a> (std::ostream &amp;os, double llx=0, double lly=0, double urx=0, double ury=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Closes all streams and writes completed Postscript document to os.  <a href="#e7aa9fba41b530c92dbbafd5926a13ff"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#6310d7a59e51a1d9ac728562bdd2d6ca">get_dimensions</a> (const char *s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return string dimensions: lineSpacing: inter-line spacing xAdvance: width of the string yMin: y-coordinate bounding the lowest descender, Indic under-consonantal vowel, etc.  <a href="#6310d7a59e51a1d9ac728562bdd2d6ca"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#1948df216ca0ebe81084014a22771e64">get_dimensions</a> (std::string s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)</td></tr>

<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map&lt; <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>,<br>
 FreetypeGlyphMgr &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#d04760970ff8a69b4cc0df3dc3787a50">GlyphMap</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maps glyph routine name to FT_Glyph instance.  <a href="#d04760970ff8a69b4cc0df3dc3787a50"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef void(PostscriptDocument::*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#b3421a1f3572c75df7218a3c35f2b108">GLYPH_FUNC</a> )(const GlyphMap::value_type &amp;, void *contextData)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to a function that takes a reference to a glyph and to x and y coordinates.  <a href="#b3421a1f3572c75df7218a3c35f2b108"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#02f8faf65c76d41011cffa08c7ace44e">invoke_glyph_routine</a> (const GlyphMap::value_type &amp;, void *contextData)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#fc2524a5b7e7b0c85f17984975748172">accrue_dimensions</a> (const GlyphMap::value_type &amp;, void *contextData1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#d6761365a3b9a106e62c0c498a9ce06a">for_each_glyph_do</a> (const std::string &amp;, const <a class="el" href="classLASi_1_1PostscriptDocument.html#b3421a1f3572c75df7218a3c35f2b108">GLYPH_FUNC</a>, void *contextData)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Decomposes string into glyphs and applies GLYPH_FUNC to each glyph.  <a href="#d6761365a3b9a106e62c0c498a9ce06a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">PangoContext *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#ea9023120f9e6260717d94bb4c36937c">pangoContext</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#ae3eaec64d39b063f61fe4d1405c2457">glyphProcName</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="return" compact><dt><b>Returns:</b></dt><dd>name of Postscript glyph routine </dd></dl>
 <a href="#ae3eaec64d39b063f61fe4d1405c2457"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#12c5c90259b16d8778219706a9ce121a">getFontSize</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="return" compact><dt><b>Returns:</b></dt><dd>font size in points (1/72 in. </dd></dl>
 <a href="#12c5c90259b16d8778219706a9ce121a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#43742b164a1653e57d93ffbbf4df70de">write_glyph_routine_to_stream</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument.html#7fc469992ea83eaa8e008fe32eb4828f">show</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">For internal use only.  <a href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html">write_glyph_routine_to_stream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">For internal use only.  <a href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Composes Postscript document as three separate and independant streams for header, body and footer. 
<p>
Body and footer streams respond to <a class="el" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">LASi::show</a> applicator which generates Postscript commands to display a string by using glyph routines instead of a Postscript font. <hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="d04760970ff8a69b4cc0df3dc3787a50"></a><!-- doxytag: member="LASi::PostscriptDocument::GlyphMap" ref="d04760970ff8a69b4cc0df3dc3787a50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">GlyphId</a>, FreetypeGlyphMgr&gt; <a class="el" href="classLASi_1_1PostscriptDocument.html#d04760970ff8a69b4cc0df3dc3787a50">LASi::PostscriptDocument::GlyphMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Maps glyph routine name to FT_Glyph instance. 
<p>

</div>
</div><p>
<a class="anchor" name="b3421a1f3572c75df7218a3c35f2b108"></a><!-- doxytag: member="LASi::PostscriptDocument::GLYPH_FUNC" ref="b3421a1f3572c75df7218a3c35f2b108" args=")(const GlyphMap::value_type &amp;, void *contextData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(PostscriptDocument::* <a class="el" href="classLASi_1_1PostscriptDocument.html#b3421a1f3572c75df7218a3c35f2b108">LASi::PostscriptDocument::GLYPH_FUNC</a>)(const GlyphMap::value_type &amp;, void *contextData)<code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to a function that takes a reference to a glyph and to x and y coordinates. 
<p>
May return new x and y coordinates. 
</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="013b8209020138f6c9ef2e909a77c386"></a><!-- doxytag: member="LASi::PostscriptDocument::PostscriptDocument" ref="013b8209020138f6c9ef2e909a77c386" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::PostscriptDocument::PostscriptDocument           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2bd1a6fe71625e173dd4c0f2ff7f5110"></a><!-- doxytag: member="LASi::PostscriptDocument::~PostscriptDocument" ref="2bd1a6fe71625e173dd4c0f2ff7f5110" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::PostscriptDocument::~PostscriptDocument           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="fb3c2cf25c2522e6bc62ef06499c803d"></a><!-- doxytag: member="LASi::PostscriptDocument::setFont" ref="fb3c2cf25c2522e6bc62ef06499c803d" args="(const char *const family=&quot;sans&quot;, LASi::FontStyle=LASi::NORMAL_STYLE, LASi::FontWeight=LASi::NORMAL_WEIGHT, LASi::FontVariant=LASi::NORMAL_VARIANT, LASi::FontStretch=LASi::NORMAL_STRETCH)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::setFont           </td>
          <td>(</td>
          <td class="paramtype">const char *const &nbsp;</td>
          <td class="paramname"> <em>family</em> = <code>&quot;sans&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>&nbsp;</td>
          <td class="paramname"> = <code>LASi::NORMAL_STYLE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>&nbsp;</td>
          <td class="paramname"> = <code>LASi::NORMAL_WEIGHT</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a>&nbsp;</td>
          <td class="paramname"> = <code>LASi::NORMAL_VARIANT</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a>&nbsp;</td>
          <td class="paramname"> = <code>LASi::NORMAL_STRETCH</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the font that all subsequent text written to bodyStream() or footerStream() will be rendered with. 
<p>

</div>
</div><p>
<a class="anchor" name="2de93d93c4979c187db13fd64de85844"></a><!-- doxytag: member="LASi::PostscriptDocument::setFontSize" ref="2de93d93c4979c187db13fd64de85844" args="(const double size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::setFontSize           </td>
          <td>(</td>
          <td class="paramtype">const double&nbsp;</td>
          <td class="paramname"> <em>size</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the font size, in points, that all subsequent text written to bodyStream() or footerStream() will be rendered with. 
<p>

</div>
</div><p>
<a class="anchor" name="999bf5a5d71339e3acdc1889e9bc68e3"></a><!-- doxytag: member="LASi::PostscriptDocument::osHeader" ref="999bf5a5d71339e3acdc1889e9bc68e3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostringstream&amp; LASi::PostscriptDocument::osHeader           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns stream for Postscript header. 
<p>

</div>
</div><p>
<a class="anchor" name="fe7e58d323555a8be0b1cb8ed94e373d"></a><!-- doxytag: member="LASi::PostscriptDocument::osBody" ref="fe7e58d323555a8be0b1cb8ed94e373d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; LASi::PostscriptDocument::osBody           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns stream for Postscript body. 
<p>

</div>
</div><p>
<a class="anchor" name="9331d7b137d0fd6f1107e88b18851970"></a><!-- doxytag: member="LASi::PostscriptDocument::osFooter" ref="9331d7b137d0fd6f1107e88b18851970" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; LASi::PostscriptDocument::osFooter           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns stream for Postscript footer. 
<p>

</div>
</div><p>
<a class="anchor" name="e7aa9fba41b530c92dbbafd5926a13ff"></a><!-- doxytag: member="LASi::PostscriptDocument::write" ref="e7aa9fba41b530c92dbbafd5926a13ff" args="(std::ostream &amp;os, double llx=0, double lly=0, double urx=0, double ury=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::write           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>llx</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>lly</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>urx</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>ury</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Closes all streams and writes completed Postscript document to os. 
<p>
Header will include glyph routines for all text glyphs in body and footer.<p>
2006.05.01.ET Addendum: To create an EPS document, just include the the four BoundingBox coordinates llx, lly, urx, ury (dimensions in points). These are optional parameters -- When not included, you'll get a regular PS document. When included, you'll get an EPS document. 
</div>
</div><p>
<a class="anchor" name="6310d7a59e51a1d9ac728562bdd2d6ca"></a><!-- doxytag: member="LASi::PostscriptDocument::get_dimensions" ref="6310d7a59e51a1d9ac728562bdd2d6ca" args="(const char *s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::get_dimensions           </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>lineSpacing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>xAdvance</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>yMin</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>yMax</em> = <code>NULL</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return string dimensions: lineSpacing: inter-line spacing xAdvance: width of the string yMin: y-coordinate bounding the lowest descender, Indic under-consonantal vowel, etc. 
<p>
yMax: y-coordinate bounding the highest ascender, diacritic, Indic over-letter vowel, etc. 
</div>
</div><p>
<a class="anchor" name="1948df216ca0ebe81084014a22771e64"></a><!-- doxytag: member="LASi::PostscriptDocument::get_dimensions" ref="1948df216ca0ebe81084014a22771e64" args="(std::string s, double *lineSpacing, double *xAdvance=NULL, double *yMin=NULL, double *yMax=NULL)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::get_dimensions           </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>lineSpacing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>xAdvance</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>yMin</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>yMax</em> = <code>NULL</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="02f8faf65c76d41011cffa08c7ace44e"></a><!-- doxytag: member="LASi::PostscriptDocument::invoke_glyph_routine" ref="02f8faf65c76d41011cffa08c7ace44e" args="(const GlyphMap::value_type &amp;, void *contextData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::invoke_glyph_routine           </td>
          <td>(</td>
          <td class="paramtype">const GlyphMap::value_type &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>contextData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fc2524a5b7e7b0c85f17984975748172"></a><!-- doxytag: member="LASi::PostscriptDocument::accrue_dimensions" ref="fc2524a5b7e7b0c85f17984975748172" args="(const GlyphMap::value_type &amp;, void *contextData1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::accrue_dimensions           </td>
          <td>(</td>
          <td class="paramtype">const GlyphMap::value_type &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>contextData1</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d6761365a3b9a106e62c0c498a9ce06a"></a><!-- doxytag: member="LASi::PostscriptDocument::for_each_glyph_do" ref="d6761365a3b9a106e62c0c498a9ce06a" args="(const std::string &amp;, const GLYPH_FUNC, void *contextData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::PostscriptDocument::for_each_glyph_do           </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const &nbsp;</td>
          <td class="paramname"> <em>GLYPH_FUNC</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>contextData</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Decomposes string into glyphs and applies GLYPH_FUNC to each glyph. 
<p>

</div>
</div><p>
<a class="anchor" name="ea9023120f9e6260717d94bb4c36937c"></a><!-- doxytag: member="LASi::PostscriptDocument::pangoContext" ref="ea9023120f9e6260717d94bb4c36937c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PangoContext* LASi::PostscriptDocument::pangoContext           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ae3eaec64d39b063f61fe4d1405c2457"></a><!-- doxytag: member="LASi::PostscriptDocument::glyphProcName" ref="ae3eaec64d39b063f61fe4d1405c2457" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string LASi::PostscriptDocument::glyphProcName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>name of Postscript glyph routine </dd></dl>

<p>

</div>
</div><p>
<a class="anchor" name="12c5c90259b16d8778219706a9ce121a"></a><!-- doxytag: member="LASi::PostscriptDocument::getFontSize" ref="12c5c90259b16d8778219706a9ce121a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double LASi::PostscriptDocument::getFontSize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>font size in points (1/72 in. </dd></dl>

<p>
) 
</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="43742b164a1653e57d93ffbbf4df70de"></a><!-- doxytag: member="LASi::PostscriptDocument::write_glyph_routine_to_stream" ref="43742b164a1653e57d93ffbbf4df70de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html">write_glyph_routine_to_stream</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7fc469992ea83eaa8e008fe32eb4828f"></a><!-- doxytag: member="LASi::PostscriptDocument::show" ref="7fc469992ea83eaa8e008fe32eb4828f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classLASi_1_1show.html">show</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
